
#pragma once

#include <memory>
#include "IOptimizer.h"

namespace mdd
{
	class IOptimizerGenerator
	{
	public:
		virtual ~IOptimizerGenerator() {}

		virtual std::shared_ptr<IOptimizer> generate() = 0;
	};
}